#ifndef CAN_OBJECT_H
#define CAN_OBJECT_H


#include <QTreeWidgetItem>
#include <QVariantMap>

class CAN_Object
{
public:
   CAN_Object();
   QTreeWidgetItem *getTableItem(QTreeWidgetItem *parent);
   void setObject(QVariantMap  map);
private:
   uint16_t _index;
   uint8_t _subIndex;
   QString _name;
   uint8_t _rwmode;
   uint8_t _dataType;
   uint32_t _data;
   uint32_t _dataDefault;
};

#endif // CAN_OBJECT_H
