#include "nuts_bolts.h"
//-----------------------------------------------
QString dataToStr(const QVector<quint16> data)
{
   QString result="";
   QByteArray barray;
   for (int i = 0; i < data.count(); i++) {
         quint8 d0 = data.at(i) & 0xFF;
         quint8 d1 = (data.at(i) >> 8) & 0xFF;
         barray.append(d1);
         barray.append(d0);
   }
   for (int i=0;i<barray.size();i++){
      if (barray.at(i) < 0x20) continue;
      if (barray.at(i) > 0x7F) continue;
      result.append(QChar(barray.at(i)));
   }
   return result;
}
//-------------------------------------

int hexToInt(const QString hex)
{
   bool bStatus = false;
   int res = -1;
   res = hex.toUInt(&bStatus,16);
   if (bStatus) return res;
   return res;
}

QString intToHex(uint data, uint length)
{
    QString temp = "0000000000000000";
    QString str = QString::number(data,16).toUpper();
    int len = length-str.length();
    return temp.left(len)+str;
}
