#ifndef TREENODE_H
#define TREENODE_H

#include <QObject>
#include <QVariant>
#include <QTreeWidget>
#include <QTreeWidgetItem>





class TreeNode
{
public:
  explicit TreeNode(QVariant node, TreeNode *parent);
  void addChild(TreeNode *treeNode, int id);
  TreeNode* child(int index);
  void setId(int i_id){m_id = i_id;}
  int getId(){return m_id;}
//--------------------------------
  int childCount();

private:
   int m_id=0;
   QVector<TreeNode*> m_child;
   QVariant  m_node;
   TreeNode *m_parent;

};



class TreeView
{
public:
   explicit TreeView(QString rootName);
   void addNode(TreeNode *node);
   void treeView(QTreeWidget *tw);
private:
   QVector<TreeNode*> m_items;
   QString m_rootName;
};

#endif // TREENODE_H
