#ifndef NUTS_BOLTS_H
#define NUTS_BOLTS_H

#include  <QVector>
#include  <QString>
#include  <QByteArray>
#include  <QObject>
#include  <QWidget>
#include  <QPushButton>




//#include  <QStringList>

const QString parityList[5] = {"No","Even","Odd","Space","Mark"};

const QString connectStr[4] = {"Соединение разорвано",
                              "Запрос на соединение",
                              "Соединение установленно",
                              "Порт закрыт"};

const QString portSpeedList[] = {"1200","2400","4800",
                                "9600","19200", "38400","57600",
                                "115200", "128000", "256000"};

const QString ProtocolList[4] = {
   "DCON",        //00
   "Modbus",      //01
   "CAN"          //02
};



////-----------------------------------------------
//// Преобразует String в Vector для записи в модуль
////-----------------------------------------------
//QVector<quint16> strToData(QString istr){
//    int len = istr.length();
//    QVector<quint16> result;
//    for (int i=0;i<=len;i+=2){
//      result.append(istr[i].unicode());
//      result.append(istr[i+1].unicode());
//    }
//    return result;
//}

////-----------------------------------------------
//// Преобразует Vector to HEX STR
////-----------------------------------------------
//QString myDataToHex(QVector<quint16> idata)
//{
//   QString result = "0x";
//   for (int i = 0; i < idata.count(); i++) {
//     quint8 d0 = idata.at(i) & 0xFF;
//     quint8 d1 = (idata.at(i) >> 8) & 0xFF;
//     result = result + QString::number(d1,16);
//     result = result + QString::number(d0,16);
//   }
//   return result;
//}



//-----------------------------------------------
// Преобразует массив байт в Vector для записи в модуль
////-----------------------------------------------

//QVector<quint16> bytesToData(QByteArray data)
//{
//  QVector<quint16> result;
//  for (int i=0;i<data.count();i+=2){
//    result.append(data[i]);
//    result.append(data[i+1]);
//  }
//  return result;
//}
//-----------------------------------------------
// Преобразует Vector 16 bits в String
//-----------------------------------------------
QString intToHex(uint data,uint length);
QString dataToStr(const QVector<quint16> data);
int hexToInt(const QString hex);


#endif // NUTS_BOLTS_H
