#include "treeview.h"

TreeNode::TreeNode(QVariant node, TreeNode *parent)
{
  m_node = node;
  m_parent = parent;
}

TreeNode* TreeNode::child(int index)
{
    if (index <0 || index >= m_child.count())
       return nullptr;
    return m_child.at(index);
}

void  TreeNode::addChild(TreeNode *treeNode, int id)
{
   m_child.append(treeNode);
   m_child.last()->setId(id);
}

int TreeNode::childCount()
{
    return m_child.count();
}


TreeView::TreeView(QString rootName)
{
    m_rootName = rootName;
}

void TreeView::addNode(TreeNode *node)
{
    m_items.append(node);
}

void TreeView::treeView(QTreeWidget *tw)
{
    tw->clear();
    QTreeWidgetItem *root =new QTreeWidgetItem(0);
    root->setText(0,m_rootName);
    root->setText(1,"Name");


    QTreeWidgetItem *ti =new QTreeWidgetItem(0);
    ti->setText(0,"sdsd");
    root->addChild(ti);

    tw->addTopLevelItem(root);




}
